import React from "react";
import { VibeComponentProps } from "../../../types";
import { ScrollDirection } from "react-window";
import { ITableColumn } from "../Table/Table";
export type TableVirtualizedRow = Record<string, unknown> & {
    id: string;
};
export interface ITableVirtualizedBodyProps<T extends TableVirtualizedRow = TableVirtualizedRow> extends VibeComponentProps {
    items: T[];
    rowRenderer: (item: T) => JSX.Element;
    onScroll?: (horizontalScrollDirection: ScrollDirection, scrollTop: number, scrollUpdateWasRequested: boolean) => void;
    columns?: ITableColumn[];
    headerRenderer?: (columns: ITableColumn[]) => JSX.Element;
}
declare const TableVirtualizedBody: React.ForwardRefExoticComponent<ITableVirtualizedBodyProps<TableVirtualizedRow> & React.RefAttributes<HTMLDivElement>>;
export default TableVirtualizedBody;
