import { ChangeEvent } from "react";
import { VibeComponent, VibeComponentProps } from "../../types";
import { Sizes } from "./Toggle.types";
export interface ToggleProps extends VibeComponentProps {
    /**
     * @deprecated - use className instead
     */
    componentClassName?: string;
    /**
     * ClassName to override styles of selected toggle
     */
    toggleSelectedClassName?: string;
    isDefaultSelected?: boolean;
    isSelected?: boolean;
    onChange?: (value: boolean, event: ChangeEvent<HTMLInputElement>) => void;
    value?: string;
    name?: string;
    /**
     * @deprecated - use disabled instead
     */
    isDisabled?: boolean;
    disabled?: boolean;
    areLabelsHidden?: boolean;
    onOverrideText?: string;
    offOverrideText?: string;
    ariaLabel?: string;
    ariaControls?: string;
    size?: Sizes;
}
declare const Toggle: VibeComponent<ToggleProps, HTMLInputElement>;
export default Toggle;
